Browse Source

Update heat_template_version in templates, with stricter validation

A number of templates are using older heat_template_version values.
Update the templates and only accept queens in the validation tool.

Change-Id: I2966e38449238d324122e97723795a7ad87f2611
Resolves-bug: 1840246
tags/8.4.1
Oliver Walsh 1 month ago
parent
commit
a59a78aea8

+ 1
- 1
ci/environments/network/public-bond/nic-configs/ceph-storage.yaml View File

@@ -1,4 +1,4 @@
1
-heat_template_version: ocata
1
+heat_template_version: queens
2 2
 
3 3
 parameters:
4 4
   ControlPlaneIp:

+ 1
- 1
ci/environments/network/public-bond/nic-configs/cinder-storage.yaml View File

@@ -1,4 +1,4 @@
1
-heat_template_version: ocata
1
+heat_template_version: queens
2 2
 
3 3
 parameters:
4 4
   ControlPlaneIp:

+ 1
- 1
ci/environments/network/public-bond/nic-configs/compute.yaml View File

@@ -1,4 +1,4 @@
1
-heat_template_version: ocata
1
+heat_template_version: queens
2 2
 
3 3
 parameters:
4 4
   ControlPlaneIp:

+ 1
- 1
ci/environments/network/public-bond/nic-configs/controller.yaml View File

@@ -1,4 +1,4 @@
1
-heat_template_version: ocata
1
+heat_template_version: queens
2 2
 
3 3
 parameters:
4 4
   ControlPlaneIp:

+ 1
- 1
ci/environments/network/public-bond/nic-configs/swift-storage.yaml View File

@@ -1,4 +1,4 @@
1
-heat_template_version: ocata
1
+heat_template_version: queens
2 2
 
3 3
 parameters:
4 4
   ControlPlaneIp:

+ 1
- 1
docker/services/ceph-ansible/ceph-nfs.yaml View File

@@ -1,4 +1,4 @@
1
-heat_template_version: pike
1
+heat_template_version: queens
2 2
 
3 3
 description: >
4 4
   Ceph NFS Ganeshaservice.

+ 1
- 1
docker/services/fluentd-client.yaml View File

@@ -1,4 +1,4 @@
1 1
 # This file is here only to get past heatclient environment processing
2 2
 # error, and is only present for the Queens version of t-h-t.
3 3
 # https://bugs.launchpad.net/tripleo/+bug/1758406
4
-heat_template_version: ocata
4
+heat_template_version: queens

+ 1
- 1
docker/services/octavia/octavia-deployment-config.yaml View File

@@ -1,4 +1,4 @@
1
-heat_template_version: pike
1
+heat_template_version: queens
2 2
 
3 3
 description: >
4 4
   Configuration of Octavia as-a-service resources in the overcloud.

+ 1
- 1
puppet/services/ovn-metadata.yaml View File

@@ -1,4 +1,4 @@
1
-heat_template_version: pike
1
+heat_template_version: queens
2 2
 
3 3
 description: >
4 4
   OpenStack Networking-ovn Metadata agent configured with Puppet

+ 0
- 2
tools/yaml-validate.py View File

@@ -20,8 +20,6 @@ import yaml
20 20
 # Only permit the template alias versions
21 21
 # The current template version should be the last element
22 22
 valid_heat_template_versions = [
23
-  'ocata',
24
-  'pike',
25 23
   'queens',
26 24
 ]
27 25
 current_heat_template_version = valid_heat_template_versions[-1]

Loading…
Cancel
Save